Name:       crudminer
Version:    0.3.2
Release:    2%{?dist}
Summary:    Find and report insecure web software in a web root

Group:      Applications/System
License:    GPLv3
URL:        https://github.com/mricon/CrudMiner
Source0:    https://github.com/downloads/mricon/CrudMiner/crudminer-%{version}.tar.gz
Patch0:     crudminer-%{version}-system-paths.patch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch

%description
Locate vulnerable software in a web root by comparing the installed files
against a list of insecure products.

%prep
%setup -q
%patch0 -p1 -b .paths


%build


%install
rm -rf %{buildroot}
mkdir -p -m0755 \
    %{buildroot}%{_sysconfdir}/crudminer \
    %{buildroot}%{_localstatedir}/lib/crudminer \
    %{buildroot}%{_bindir} \
    %{buildroot}%{_mandir}/man5
install -p -m 0755 crudminer.py %{buildroot}%{_bindir}/crudminer
install -p -m 0644 *.ini %{buildroot}%{_sysconfdir}/crudminer/
install -p -m 0644 crudminer.5 %{buildroot}%{_mandir}/man5/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc tests COPYING TODO README.rst
%dir %{_sysconfdir}/crudminer
%dir %{_localstatedir}/lib/crudminer
%config(noreplace) %{_sysconfdir}/crudminer/*.ini
%{_bindir}/*
%{_mandir}/man5/*

%changelog
* Wed Oct 26 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.2-2
- Update summary to be more descriptive.
- Minor readability fixes.

* Fri Oct 21 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.2-1
- New version 0.3.2
- Man file is now bundled.
- sharedstatedir doesn't exist in older RPMs, use localstatedir/lib

* Wed Oct 19 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3-1
- Initial packaging.

